module a1

implicit none

contains

subroutine teste2()
  implicit none
  write(*,*) "de dentro do fortran ALTERADO"
end subroutine teste2

subroutine teste(res)
 Integer(16), intent(out) :: res
 res = 10
 write(*,*) 'Dentro da Rotina teste com valor da variável res = ', res
end subroutine teste

end module a1





